//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "www,forex-tsd.com"
#property link      "www,forex-tsd.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1  DeepSkyBlue
#property indicator_width1  2

//
//
//
//
//

extern int    BandsPeriod     = 14;
extern int    BandsPrice      = 0;
extern double BandsDeviations = 2.0;

//
//
//
//
//

double nbb[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,nbb);
   return(0);
}
      
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int i,limit,counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for(i=limit; i>=0; i--)
   {
      double dev = iStdDev(NULL,0,BandsPeriod,0,MODE_SMA,BandsPrice,i)*BandsDeviations;
      double mid = iMA(NULL,0,BandsPeriod,0,MODE_SMA,BandsPrice,i);
      double prc = iMA(NULL,0,1          ,0,MODE_SMA,BandsPrice,i);
      if (dev!=0)
            nbb[i] = 100.0*(prc-(mid-dev))/dev;
      else  nbb[i] = 0;       
   }
   return(0);
}